CVE-2016-2337

Published on: 01/06/2017 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:27:15 PM UTC

CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Certain versions of Ruby from Ruby-lang contain the following vulnerability:

Type confusion exists in _cancel_eval Ruby's TclTkIp class method. Attacker passing different type of object than String as "retval" argument can cause arbitrary code execution.

  • CVE-2016-2337 has been assigned by URL Logo [email protected] to track the vulnerability - currently rated as - currently rated as CRITICAL severity.
  • Affected Vendor/Software: URL Logo Ruby - Ruby version 2.3.0 dev
  • Affected Vendor/Software: URL Logo Ruby - Ruby version 2.2.2
  • Affected Vendor/Software: URL Logo Tcl - Tcl/Tk version 8.6 or later

CVSS3 Score: 9.8 - CRITICAL

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 7.5 - HIGH

Access
Vector
Access
Complexity
Authentication
NETWORK LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL PARTIAL PARTIAL

CVE References

Description Tags Link
[SECURITY] [DLA 1480-1] ruby2.1 security update lists.debian.org
text/html
URL Logo MLIST [debian-lts-announce] 20180827 [SECURITY] [DLA 1480-1] ruby2.1 security update
Ruby: Multiple vulnerabilities (GLSA 201710-18) — Gentoo security security.gentoo.org
text/html
URL Logo GENTOO GLSA-201710-18
Cisco Talos - Talos 2016 0031 Exploit
Technical Description
Third Party Advisory
VDB Entry
www.talosintelligence.com
text/html
URL Logo MISC www.talosintelligence.com/reports/TALOS-2016-0031/
Ruby TclTkIp 'ip_cancel_eval()' Function Type Confusion Remote Code Execution Vulnerability cve.report (archive)
text/html
URL Logo BID 91233

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationRuby-langRuby2.2.2AllAllAll
ApplicationRuby-langRuby2.3.0AllAllAll
ApplicationRuby-langRuby2.2.2AllAllAll
ApplicationRuby-langRuby2.3.0AllAllAll
  • cpe:2.3:a:ruby-lang:ruby:2.2.2:*:*:*:*:*:*:*:
  • cpe:2.3:a:ruby-lang:ruby:2.3.0:*:*:*:*:*:*:*:
  • cpe:2.3:a:ruby-lang:ruby:2.2.2:*:*:*:*:*:*:*:
  • cpe:2.3:a:ruby-lang:ruby:2.3.0:*:*:*:*:*:*:*: